GET /v1/linkedin/web_v2/search_jobs
Search jobs
stable · 65 credits per success
Search jobs by keywords and filters.;keywords: Search keywords.;geo_code: LinkedIn geo code. Defaults to 92000000 (worldwide).;date_posted / sort_by: Posting-time filter and sort order.;experience_levels / company_ids / title_ids / onsite_remotes / functions /;industries / job_types: List filters — repeat the same parameter to pass;multiple values.;start: Pagination offset — 0 for page 1, 25 for …
Request parameters
| Name | Type | In | Required | Description | Example |
|---|---|---|---|---|---|
| start | integer | query | no | 翻页偏移,第 1 页 0、第 2 页 25 | 0 |
| sort_by | string | query | no | Most relevant / Most recent | demo |
| geo_code | integer | query | no | LinkedIn 地区码,92000000 为全球 | 0 |
| keywords | string | query | no | 关键词 | data analyst |
| functions | array | query | no | 职能过滤,可重复传多个 | |
| job_types | array | query | no | Full-time / Part-time / Contract / Temporary / Internship / Volunteer | |
| title_ids | array | query | no | 职位标题 ID,可重复传多个 | |
| easy_apply | boolean | query | no | 仅 Easy Apply 职位 | false |
| industries | array | query | no | 行业过滤,可重复传多个 | |
| company_ids | array | query | no | 公司 ID,可重复传多个 | |
| date_posted | string | query | no | Any time / Past month / Past week / Past 24 hours | demo |
| onsite_remotes | array | query | no | On-site / Remote / Hybrid | |
| experience_levels | array | query | no | Internship / Entry level / Associate / Mid-Senior level / Director / Executive | |
| under_10_applicants | boolean | query | no | 仅申请人数少于 10 的职位 | false |
Response fields
Field dictionary coming soon — the executable panel shows the live shape.
Errors
| code | HTTP | Meaning | Billed |
|---|---|---|---|
| 40001 | 400 | Invalid parameters | no |
| 40102 | 401 | Invalid or revoked API Key | no |
| 40201 | 402 | Insufficient credits | no |
| 40402 | 404 | Resource not found | no |
| 42201 | 422 | Quality gate failed | no |
| 42901 | 429 | Rate limit exceeded | no |
| 50401 | 504 | Upstream timeout | no |
| 50201 | 502 | Upstream error | no |
Billing
Success costs 65 credits. Any failure — including a 200 that fails the quality gate — costs 0.